Error: Failed to start Load Kernel Modules

Estuve borrando unos paquetes “obsoletos” los visualice con pacman -Qdt y luego use pamac remove -o para removerlos, reinicio el pc y me encuentro co el siguiente error: Faile to start Load Kernel Modules

estuve viendo las configuraciones avanzadas del grub de manjaro y me doy cuenta que tengo dos kernel, el 5.7 y el 5.4. Puedo ingresar al de 5.4 pero el 5.7 es el que me bota el error anteriormente mencionado.

Ingrese al 5.4 y me he estado dando cuenta que varias cosas no funcionan como flameshot (App para screenshots) o el touchpad. Tambien me doy cuenta que flameshot es uno de los errores que lanzan en la foto anterior.

¿Alguien me podria ayudar?

Si te falta algún driver de gráfica, por ejemplo lo puedes instalar gráficamente desde el “Gestor de Configuración de Manjaro”.

También desde allí puedes eliminar el Kernel 5.7 y volver a instalarlo o poner una más nuevo.

Esa es la forma más sencilla.

o que puedes hacer

sudo mhwd-kernel -li
sudo ls /etc/mkinitcpio.d/*.preset

el número de núcleos y los valores deben ser los mismos, eliminar
*.preset demasiado ( no más posible por mhwd-kernel )

compruebe también en

sudo ls /bin/modules 

que no queden módulos de versiones del núcleo no instaladas

sudo mkinitcpio -P

para los núcleos se quedan en 5.4 y 5.10, se puede añadir el 5.11
( tienes 2 kernels de reserva por si acaso )

sudo mhwd-kernel -i linux511 

Traducción realizada con la versión gratuita del traductor www.DeepL.com/Translator

yo creo que si realmente fueran paquetes “obsoletos”
no deberia darte ningun problema su eliminacion.

quiza no lograste comprobar todos los paquetes que dependen aun de los archivos que eliminaste, lo que te da el error que mencionas.

solucion?
pues quiza deshacer lo que hiciste
aqui algunas pistas sobre como instalar dependencias rotas
aunque se trate sobre arch, es suficiente para tener una idea
https://confluence.jaytaala.com/display/TKB/Install+a+package+with+all+optional+dependencies+in+Arch+based+distros